# Returns all Proxy keys in an account

Returns all the Proxy keys in an account

Endpoint: GET /cf/admin/proxy/keys
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier

  - `name` (string)
    Name of the field

  - `sortOrder` (string)
    SortOrder
    Enum: "ASCENDING", "DESCENDING"

  - `sortByField` (string)
    SortByField
    Enum: "name", "createdAt", "updatedAt"

  - `pageNumber` (integer)
    PageNumber

  - `pageSize` (integer)
    PageSize

## Response 200 fields (application/json):

  - `itemCount` (integer, required)
    The total number of items
    Example: 1

  - `pageCount` (integer, required)
    The total number of pages
    Example: 100

  - `pageIndex` (integer, required)
    The current page

  - `pageSize` (integer, required)
    The number of items per page
    Example: 1

  - `version` (integer)
    The version of this object.  The version will be incremented each time the object is modified
    Example: 5

  - `proxyKeys` (array)

  - `proxyKeys.createdAt` (integer, required)
    The date the key was created at in milliseconds

  - `proxyKeys.description` (string, required)
    A description of the Proxy Key
    Example: "This is a proxy key for production"

  - `proxyKeys.id` (string, required)
    The ProxyKeys ID
    Example: "31B0B299-7635-416D-9E99-CFCAA7ADABEA"

  - `proxyKeys.identifier` (string, required)
    The Proxy Keys identifier
    Example: "ProxyKeyOne"

  - `proxyKeys.name` (string, required)
    The ProxyKeys name
    Example: "Proxy Key One"

  - `proxyKeys.updatedAt` (integer, required)
    The date the key was last updated at in milliseconds

## Response 400 fields (application/json):

  - `code` (string, required)
    The http error code
    Example: 404

  - `details` (object)
    Additional details about the error

  - `message` (string, required)
    The reason the request failed
    Example: "Error retrieving projects, organization 'default_org' does not exist"


